import React from "react";
import { ModalProviderProps } from "../Modal";
import { ToastProviderProps } from "../ToastProvider";
interface OverlayProviderProps {
    children: React.ReactNode;
    ModalProviderProps?: Omit<ModalProviderProps, "children">;
    ToastProviderProps?: Omit<ToastProviderProps, "children">;
}
declare const OverlayProvider: ({ children, ModalProviderProps, ToastProviderProps, }: OverlayProviderProps) => React.JSX.Element;
export { OverlayProvider };
