import React from "react";
import { TableBodyProps, TableHeaderProps, TableProps } from "./Table.model";
import "./Table.scss";
declare const TableHeader: ({ children, columns, gridTemplateColumns, customHeaderClass, customHeaderStyles, }: TableHeaderProps) => React.JSX.Element;
declare const TableBody: ({ children, rows, keys, gridTemplateColumns, emptyValue, customBodyClass, customBodyStyles, }: TableBodyProps) => React.JSX.Element;
declare const Table: ({ columns, children, rows, customBodyClass, customBodyStyles, customClass, customHeaderClass, customHeaderStyles, customStyles, width, variant, size, gridTemplateColumns, emptyValue, state, height, customWrapperClass, customWrapperStyles, }: TableProps) => React.JSX.Element;
export { Table, TableHeader, TableBody };
